/// <reference types="react" />
import { AutoCompleteProps, FormItemProps, InputProps, SelectProps } from 'antd';
import { TextAreaProps } from 'antd/lib/input';
import { ConnectedField } from 'effector-forms/dist-types';
declare type customizeFormItemProps = {
    children: React.ReactNode;
    name: string;
    label: string;
    required: boolean;
    formItemProps: FormItemProps;
};
export declare const CustomizeFormItem: React.FC<customizeFormItemProps>;
declare type propsInput = {
    name: string;
    label: string;
    required?: boolean;
    field: ConnectedField<any>;
    inputProps?: InputProps;
    formItemProps: FormItemProps;
};
export declare const CustomizeFormItemInput: React.FC<propsInput>;
declare type propsTextArea = {
    name: string;
    label: string;
    required?: Boolean;
    field: ConnectedField<any>;
    textAreaProps?: TextAreaProps;
    formItemProps?: FormItemProps;
};
export declare const CustomizeFormItemTextArea: React.FC<propsTextArea>;
declare type propsSelect = {
    defaultValue?: string;
    enumsValues: any[];
    name: string;
    label: string;
    required?: boolean;
    field: ConnectedField<any>;
    selectProps?: SelectProps;
    formItemProps: FormItemProps;
};
export declare const CustomizeFormItemSelect: React.FC<propsSelect>;
declare type propsAutoComplete = {
    options?: any[];
    field: ConnectedField<any>;
    label: string;
    name: string;
    required?: boolean;
    onSearch: (searchText: string) => void;
    onSelect?: (data: string) => void;
    autoCompleteProps?: AutoCompleteProps;
};
export declare const CustomizeFormItemAutoComplete: React.FC<propsAutoComplete>;
declare type propsNumberInput = {
    field: ConnectedField<any>;
    label: string;
    name: string;
    required?: boolean;
    max?: number;
    min?: number;
};
export declare const CustomizeFormItemNumberInput: React.FC<propsNumberInput>;
export {};
