import { Store, Event } from "effector";
export declare type AnyFilterValues = {
    [key: string]: any;
};
export declare type AnyCases = {
    [key: string]: Case<any>;
};
export declare type AnyCasesConfigs = {
    [key: string]: CaseConfig<any>;
};
export declare type Filter<Values extends AnyFilterValues> = {
    filterLabel: string;
    filterValue: string;
    cases: FilterCases<Values>;
    $activeValues: Store<string[]>;
    $query: Store<{
        [p: string]: any;
    }>;
};
export declare type FilterCases<Values extends AnyFilterValues> = {
    [K in keyof Values]: Case<Values[K]>;
};
export declare type Case<Value> = {
    label: string;
    value: Value;
    $active: Store<boolean>;
    $disabled: Store<boolean>;
    activate: Event<void>;
    deactivate: Event<void>;
    enable: Event<void>;
    disable: Event<void>;
};
export declare type FilterConfig<Values extends AnyFilterValues> = {
    filterLabel: string;
    filterValue: string;
    cases: FilterCasesConfigs<Values>;
};
export declare type FilterCasesConfigs<Values extends AnyFilterValues> = {
    [K in keyof Values]: CaseConfig<Values[K]>;
};
export declare type CaseConfig<Value> = {
    label: Value;
    value: Value;
};
export declare const createFilter: <Values extends AnyFilterValues>(config: FilterConfig<Values>) => Filter<Values>;
