import { ConnectedField } from "effector-forms";
import { InputNumberProps, InputProps, AutoCompleteProps, SelectProps } from "antd";
import { ReactNode } from "react";
interface FieldProps {
    field: ConnectedField<any>;
    errorText?: any;
    label?: string;
    isRequired?: boolean;
}
interface InputFieldProps extends FieldProps, InputProps {
}
export declare const InputField: (props: InputFieldProps) => JSX.Element;
interface InputNumberFieldProps extends FieldProps, InputNumberProps {
}
export declare const InputNumberField: (props: InputNumberFieldProps) => JSX.Element;
interface AutoCompleteFieldProps extends FieldProps, AutoCompleteProps {
}
export declare const AutoCompleteField: (props: AutoCompleteFieldProps) => JSX.Element;
interface SelectFieldProps extends FieldProps, SelectProps {
}
export declare const SelectField: {
    (props: SelectFieldProps): JSX.Element;
    Item(props: SelectFieldItemProps): JSX.Element;
};
interface SelectFieldItemProps {
    value: string | number;
    children?: ReactNode;
}
export declare const InlineFieldGroup: import("styled-components").StyledComponent<"div", any, {}, never>;
export {};
