"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InlineFieldGroup = exports.SelectField = exports.AutoCompleteField = exports.InputNumberField = exports.InputField = void 0;
var react_1 = require("react");
var jsx_runtime_1 = require("react/jsx-runtime");
var antd_1 = require("antd");
var styled_components_1 = __importDefault(require("styled-components"));
var InputField = function (props) {
    var _a;
    return ((0, jsx_runtime_1.jsxs)(FieldWithLabel, { children: [(0, jsx_runtime_1.jsxs)("label", { children: [props.label, props.isRequired] }), (0, react_1.createElement)(antd_1.Input, __assign({}, props, { value: props.field.value, onChange: function (e) { return props.field.onChange(e.target.value); }, key: props.label })), (0, jsx_runtime_1.jsx)(ErrorValidation, { children: props.field.errorText((_a = {},
                    _a[props.field.name] = props.errorText,
                    _a)) })] }));
};
exports.InputField = InputField;
var InputNumberField = function (props) {
    var _a;
    return ((0, jsx_runtime_1.jsxs)(FieldWithLabel, { children: [(0, jsx_runtime_1.jsx)("label", { children: props.label }), (0, react_1.createElement)(antd_1.InputNumber, __assign({}, props, { value: props.field.value, onChange: function (e) { return props.field.onChange(e); }, key: props.label })), (0, jsx_runtime_1.jsx)(ErrorValidation, { children: props.field.errorText((_a = {},
                    _a[props.field.name] = props.errorText,
                    _a)) })] }));
};
exports.InputNumberField = InputNumberField;
var AutoCompleteField = function (props) {
    var _a;
    return ((0, jsx_runtime_1.jsxs)(FieldWithLabel, { children: [(0, jsx_runtime_1.jsxs)("label", { children: [props.label, props.isRequired] }), (0, react_1.createElement)(antd_1.AutoComplete, __assign({ style: { width: "100%" } }, props, { value: props.field.value, onChange: function (e) { return props.field.onChange(e); }, key: props.label })), (0, jsx_runtime_1.jsx)(ErrorValidation, { children: props.field.errorText((_a = {},
                    _a[props.field.name] = props.errorText,
                    _a)) })] }));
};
exports.AutoCompleteField = AutoCompleteField;
var SelectField = function (props) {
    var _a;
    return ((0, jsx_runtime_1.jsxs)(FieldWithLabel, { children: [(0, jsx_runtime_1.jsx)("label", { children: props.label }), (0, jsx_runtime_1.jsx)(antd_1.Select, __assign({}, props, { showSearch: true, value: props.field.value, onChange: function (option) { return props.field.onChange(option); } }, { children: props.children })), (0, jsx_runtime_1.jsx)(ErrorValidation, { children: props.field.errorText((_a = {},
                    _a[props.field.name] = props.errorText,
                    _a)) })] }));
};
exports.SelectField = SelectField;
exports.SelectField.Item = function (props) {
    return ((0, react_1.createElement)(antd_1.Select.Option, __assign({}, props, { value: props.value, key: props.value }), props.children ? props.children : props.value));
};
exports.InlineFieldGroup = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  gap: 20px;\n"], ["\n  display: flex;\n  gap: 20px;\n"])));
var ErrorValidation = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  color: red;\n"], ["\n  color: red;\n"])));
var FieldWithLabel = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  width: 100%;\n  display: flex;\n  flex-direction: column;\n  gap: 10px;\n"], ["\n  width: 100%;\n  display: flex;\n  flex-direction: column;\n  gap: 10px;\n"])));
var templateObject_1, templateObject_2, templateObject_3;
