import { Event, Store } from "effector";
export declare type AnyQuery = {
    page: string | number;
};
export declare type TableConfig<Data, Count> = {
    $dataSource: Data;
    $dataCount: Count;
    clickOnRowFn?: (row: any) => void;
};
export declare type TableInstance<Data, Count> = {
    $dataSource: Data;
    $dataCount: Count;
    paginationOnChange: Event<{
        page: string | number;
        limit: string | number;
    }>;
    $pageQuery: Store<AnyQuery | {}>;
    clickOnRow: Event<any>;
};
export declare const createTable: <Data, Count>(config: TableConfig<Data, Count>) => TableInstance<Data, Count>;
