"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTable = void 0;
var effector_1 = require("effector");
var createTable = function (config) {
    var $dataSource = config.$dataSource, $dataCount = config.$dataCount, clickOnRowFn = config.clickOnRowFn;
    var clickOnRow = (0, effector_1.createEvent)();
    if (clickOnRowFn) {
        var clickOnRowFx = (0, effector_1.createEffect)(clickOnRowFn);
        (0, effector_1.sample)({
            clock: clickOnRow,
            target: clickOnRowFx
        });
    }
    var $pageQuery = (0, effector_1.createStore)({});
    var paginationOnChange = (0, effector_1.createEvent)();
    (0, effector_1.sample)({
        clock: paginationOnChange,
        target: $pageQuery,
    });
    return {
        $dataSource: $dataSource,
        $dataCount: $dataCount,
        paginationOnChange: paginationOnChange,
        $pageQuery: $pageQuery,
        clickOnRow: clickOnRow
    };
};
exports.createTable = createTable;
