var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
import { createStore, createApi, forward, sample, combine } from "effector";
//TODO add reset event
export var createFilter = function (config) {
    var _a;
    var filterValue = config.filterValue, filterLabel = config.filterLabel, casesConfigs = config.cases;
    var $activeValues = createStore([]);
    var $query = combine((_a = {}, _a[filterValue] = $activeValues, _a));
    var cases = {};
    var _loop_1 = function (caseName) {
        if (!casesConfigs.hasOwnProperty(caseName))
            return "continue";
        var caseConfig = casesConfigs[caseName];
        var $active = createStore(false);
        var $disabled = createStore(false);
        var _b = createApi($active, {
            activate: function () { return true; },
            deactivate: function () { return false; },
        }), activate = _b.activate, deactivate = _b.deactivate;
        var _c = createApi($disabled, {
            enable: function () { return false; },
            disable: function () { return true; },
        }), enable = _c.enable, disable = _c.disable;
        forward({ from: disable, to: deactivate });
        sample({
            clock: activate,
            source: $activeValues,
            fn: function (s) {
                s.push(caseConfig.value);
                return __spreadArray([], s, true);
            },
            target: $activeValues
        });
        sample({
            clock: deactivate,
            source: $activeValues,
            fn: function (s) { return s.filter(function (item) { return item !== caseConfig.value; }); },
            target: $activeValues
        });
        cases[caseName] = {
            activate: activate,
            deactivate: deactivate,
            $active: $active,
            disable: disable,
            $disabled: $disabled,
            enable: enable,
            value: caseConfig.value,
            label: caseConfig.label
        };
    };
    // cards-generate units
    for (var caseName in casesConfigs) {
        _loop_1(caseName);
    }
    return {
        filterLabel: filterLabel,
        filterValue: filterValue,
        cases: cases,
        $activeValues: $activeValues,
        $query: $query
    };
};
//export type Filter = ReturnType<typeof createFilter>;
