import { createEvent, createStore, sample, createEffect } from "effector";
export var createTable = function (config) {
    var $dataSource = config.$dataSource, $dataCount = config.$dataCount, clickOnRowFn = config.clickOnRowFn;
    var clickOnRow = createEvent();
    if (clickOnRowFn) {
        var clickOnRowFx = createEffect(clickOnRowFn);
        sample({
            clock: clickOnRow,
            target: clickOnRowFx
        });
    }
    var $pageQuery = createStore({});
    var paginationOnChange = createEvent();
    sample({
        clock: paginationOnChange,
        target: $pageQuery,
    });
    return {
        $dataSource: $dataSource,
        $dataCount: $dataCount,
        paginationOnChange: paginationOnChange,
        $pageQuery: $pageQuery,
        clickOnRow: clickOnRow
    };
};
